Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.

Bug 637688 (CVE-2010-2962)

Summary: CVE-2010-2962 kernel: arbitrary kernel memory write via i915 GEM ioctl
Product: [Other] Security Response Reporter: Eugene Teo (Security Response) <eteo>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: airlied, arozansk, bhu, davej, fhrbata, jkacur, jmarchan, kmcmartin, kzhang, lgoncalv, lwang, pmatouse, rcvalle, security-response-team, syeghiay, tcallawa, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20101003,reported=20100927,source=ubuntu,cvss2=7.2/AV:L/AC:L/Au:N/C:C/I:C/A:C,cwe=CWE-119
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-03-28 04:43:59 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 637689, 637690, 637691    
Bug Blocks:    

Description Eugene Teo (Security Response) 2010-09-27 02:24:50 EDT
Description of problem:
Kees found a flaw in the i915 GEM ioctl interface that does not check destination addresses during memory copies, allowing arbitrary memory writes into the kernel. The flaws are in drivers/gpu/drm/i915/i915_gem.c in i915_gem_pread_ioctl() and i915_gem_pwrite_ioctl(), which do no access_ok() checks on args->data_ptr. (Actually, there is one check path: i915_gem_gtt_pwrite_fast() does the check, but none of the other helpers do.).

Acknowledgements:

Red Hat would like to thank Kees Cook for reporting this issue.
Comment 3 Eugene Teo (Security Response) 2010-09-27 03:01:09 EDT
Statement:

The Linux kernel as shipped with Red Hat Enterprise Linux 3, 4, 5, and Red Hat Enterprise MRG did not include support for Graphics Execution Manager (GEM) in the i915 driver, and therefore are not affected by this issue.
Comment 4 Eugene Teo (Security Response) 2010-10-12 02:54:03 EDT
Upstream commit:
http://git.kernel.org/linus/ce9d419dbecc292cc3e06e8b1d6d123d3fa813a4
Comment 5 errata-xmlrpc 2010-11-10 14:08:49 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0842 https://rhn.redhat.com/errata/RHSA-2010-0842.html
Comment 6 errata-xmlrpc 2010-11-22 14:35:02 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0842 https://rhn.redhat.com/errata/RHSA-2010-0842.html
Comment 8 errata-xmlrpc 2010-12-08 14:09:10 EST
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2010:0958 https://rhn.redhat.com/errata/RHSA-2010-0958.html